<?php
/**
 * Prepare the add/edit form variables
 *
 * @param ElggObject $bbbplus A bbbplus object.
 * @return array
 */
 
function bbbplus_prepare_form_vars($bbbplus = null) {
	// input names => defaults
	$values = array(
		'url' => get_input('url', ''),
		'objetive' => get_input('objetive', ''),
		'access_id' => ACCESS_DEFAULT,
		'container_guid' => elgg_get_page_owner_guid(),
		'guid' => null,
		'entity' => $bbbplus,
	);

	if ($bbbplus) {
		foreach (array_keys($values) as $field) {
			if (isset($bbbplus->$field)) {
				$values[$field] = $bbbplus->$field;
			}
		}
	}

	if (elgg_is_sticky_form('bbbplus')) {
		$sticky_values = elgg_get_sticky_values('bbbplus');
		foreach ($sticky_values as $key => $value) {
			$values[$key] = $value;
		}
	}

	elgg_clear_sticky_form('bbbplus');

	return $values;
}
